Get Sms Thread
curl --request GET \
--url https://api.example.com/v2/sms-threads/{sms_thread_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/sms-threads/{sms_thread_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/sms-threads/{sms_thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"from_number": "<string>",
"to_number": "<string>",
"partner": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"account_number": "<string>",
"assignee_id": "<string>",
"business_unit_id": "<string>",
"email": "<string>",
"name": "<string>",
"legal_name": "<string>",
"phone": "<string>",
"parent_id": "<string>",
"remote_id": "<string>",
"object": "<string>"
},
"last_inbound_at": "2023-11-07T05:31:56Z",
"last_outbound_at": "2023-11-07T05:31:56Z",
"latest_message_at": "2023-11-07T05:31:56Z",
"latest_message_body": "<string>",
"messages": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"sms_thread_id": "<string>",
"body": "<string>",
"classifications": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"action_recommendation": "<string>",
"agent_confidence_score": 123,
"agent_metrics": {
"confidence_reason": "<string>",
"confidence_score": 123,
"uncertainties": [
"<string>"
]
},
"evidence": {},
"is_action_required": true,
"is_reply_required": true,
"language": "<string>",
"reason": "<string>",
"object": "<string>"
}
],
"from_number": "<string>",
"to_number": "<string>",
"is_automated": true,
"sent_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"object": "<string>"
}
],
"object": "<string>"
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}sms-threads
Get Sms Thread
Get a SMS Thread
Returns high-level thread information with partner details.
Use /sms-threads/{id}/messages and /sms-threads/{id}/tasks for related data.
GET
/
v2
/
sms-threads
/
{sms_thread_id}
Get Sms Thread
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
SMS thread with partner information.
Phone number of the organization
Phone number of the partner
Show child attributes
Show child attributes
Timestamp of the last inbound SMS in this thread
Timestamp of the last outbound SMS in this thread
Show child attributes
Show child attributes
String representing the object's type. Objects of the same type share the same value.
⌘I
